package com.wechat.model.requestDto;

import java.util.Date;

import javax.validation.constraints.NotNull;

import org.hibernate.validator.constraints.NotBlank;

public class InterviewHisUpdReq {
	
	private String usedId;   //使用记录id
	
	private String code;   

    private String roomId;    //房间号

    private Date stopTime;  //结束时间

    
    @NotBlank(message="房间号不能为空|Room id can not be empty.")
	public String getRoomId() {
		return roomId;
	}

	public void setRoomId(String roomId) {
		this.roomId = roomId;
	}


	@NotNull(message = "结束时间不能为空|Stop time can not be empty.")
	public Date getStopTime() {
		return stopTime;
	}

	public void setStopTime(Date stopTime) {
		this.stopTime = stopTime;
	}

	
	@NotBlank(message="小程序Code不能为空|Code can not be empty.")
	public String getCode() {
		return code;
	}

	public void setCode(String code) {
		this.code = code;
	}

	@NotBlank(message="使用记录Id不能为空|His id can not be empty.")
	public String getUsedId() {
		return usedId;
	}

	public void setUsedId(String usedId) {
		this.usedId = usedId;
	}

}